OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
fileio_type.h File Reference

Types for Standard In/Out file operations. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Enumerations
enum | Subdirectory { BASE_DIR, SAVE_DIR, AUTOSAVE_DIR, SCENARIO_DIR, HEIGHTMAP_DIR, OLD_GM_DIR, OLD_DATA_DIR, BASESET_DIR, NEWGRF_DIR, LANG_DIR, AI_DIR, AI_LIBRARY_DIR, GAME_DIR, GAME_LIBRARY_DIR, SCREENSHOT_DIR, NUM_SUBDIRS, NO_DIRECTORY }
| The different kinds of subdirectories OpenTTD uses. More...
enum | Searchpath { SP_FIRST_DIR, SP_WORKING_DIR = SP_FIRST_DIR, SP_PERSONAL_DIR, SP_SHARED_DIR, SP_BINARY_DIR, SP_INSTALLATION_DIR, SP_APPLICATION_BUNDLE_DIR, SP_AUTODOWNLOAD_DIR, NUM_SEARCHPATHS }
| Types of searchpaths OpenTTD might use. More...

## Detailed Description

Types for Standard In/Out file operations.

Definition in file fileio_type.h.

## Enumeration Type Documentation

enum Searchpath

Types of searchpaths OpenTTD might use.

Enumerator:

  SP_WORKING_DIR | Search in the working directory.
  SP_PERSONAL_DIR | Search in the personal directory.
  SP_SHARED_DIR | Search in the shared directory, like 'Shared Files' under Windows.
  SP_BINARY_DIR | Search in the directory where the binary resides.
  SP_INSTALLATION_DIR | Search in the installation directory.
  SP_APPLICATION_BUNDLE_DIR | Search within the application bundle.
  SP_AUTODOWNLOAD_DIR | Search within the autodownload directory.

Definition at line 43 of file fileio_type.h.

enum Subdirectory

The different kinds of subdirectories OpenTTD uses.

Enumerator:

  BASE_DIR | Base directory for all subdirectories.
  SAVE_DIR | Base directory for all savegames.
  AUTOSAVE_DIR | Subdirectory of save for autosaves.
  SCENARIO_DIR | Base directory for all scenarios.
  HEIGHTMAP_DIR | Subdirectory of scenario for heightmaps.
  OLD_GM_DIR | Old subdirectory for the music.
  OLD_DATA_DIR | Old subdirectory for the data.
  BASESET_DIR | Subdirectory for all base data (base sets, intro game)
  NEWGRF_DIR | Subdirectory for all NewGRFs.
  LANG_DIR | Subdirectory for all translation files.
  AI_DIR | Subdirectory for all AI files.
  AI_LIBRARY_DIR | Subdirectory for all AI libraries.
  GAME_DIR | Subdirectory for all game scripts.
  GAME_LIBRARY_DIR | Subdirectory for all GS libraries.
  SCREENSHOT_DIR | Subdirectory for all screenshots.
  NUM_SUBDIRS | Number of subdirectories.
  NO_DIRECTORY | A path without any base directory.

Definition at line 20 of file fileio_type.h.